Page MenuHomePhabricator

Tidy up Special:PagesWithProp
Closed, ResolvedPublic

Description

Page props like wb-claims, wb-sitelinks and wb-status need some more explanation and it should also be possible to sort results.

Details

Reference
bz64950

Related Objects

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:21 AM
bzimport set Reference to bz64950.
bzimport added a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher lowered the priority of this task from Normal to Lowest.Mar 17 2015, 12:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 20 2015, 9:20 AM

Change 232698 had a related patch set uploaded (by Ricordisamoa):
New parameters 'reverse' and 'sortbyvalue' for Special:PagesWithProp

https://gerrit.wikimedia.org/r/232698

matej_suchanek updated the task description. (Show Details)
matej_suchanek set Security to None.
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJul 21 2017, 12:38 PM
Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 21 2017, 3:09 PM

I've looked at the patch and have several questions:

  1. Who uses this page and what for?
  2. What is "page property" in this context?
  3. Why is this task needed in general? Who will benefit from it?
  4. As soon as ticket has Wikidata tag: How it is related to Wikidata?

I've looked at the patch and have several questions:

  1. Who uses this page and what for?

This special page practically exposes page_props table.

  1. What is "page property" in this context?

The content of page_props table for each page

  1. Why is this task needed in general? Who will benefit from it?

Mostly Wikidata users, because Wikibase repo puts lots of data regarding entities into this table.

  1. As soon as ticket has Wikidata tag: How it is related to Wikidata?

See my answer the above question :)

HTH

It doesn't really give more insight about the purpose of the ticket.
@Lydia_Pintscher, can you describe a scenario for this ticket from the user perspective?

Change 232698 merged by jenkins-bot:
[mediawiki/core@master] New parameters 'reverse' and 'sortbyvalue' for Special:PagesWithProp

https://gerrit.wikimedia.org/r/232698

Possible scenarios which benefit from sorting:

  • I want to find the items that have the most identifiers to get an understanding which topic areas are most connected to other databases at the moment
  • I want to find the items that have 0 statements to start by classifying them with instance of statements
  • I want to find the items that have the most links to other Wikimedia projects to get an understanding of popularity

Possible scenarios which benefit from sorting:

  • I want to find the items that have the most identifiers to get an understanding which topic areas are most connected to other databases at the moment
  • I want to find the items that have 0 statements to start by classifying them with instance of statements
  • I want to find the items that have the most links to other Wikimedia projects to get an understanding of popularity

This is unrelated to this obscure special page, but it gave me the idea to add just that for Wikidata's properties on property talk pages (check the "lists").

Lydia_Pintscher closed this task as Resolved.Aug 28 2017, 12:44 PM